'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5800dc80.js');
const utils = require('./utils-bcc862fe.js');

const gvcComponentCss = ":host{display:block}";

const GvcComponent = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  getText() {
    return utils.format(this.first, this.middle, this.last);
  }
  render() {
    return index.h("div", null, "Hello, World! I'm GVC ", this.getText());
  }
};
GvcComponent.style = gvcComponentCss;

exports.gvc_component = GvcComponent;
