import { r as registerInstance, h } from './index-f233dbcb.js';
import { f as format } from './utils-2d628d5c.js';

const gvcComponentCss = ":host{display:block}";

const GvcComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  getText() {
    return format(this.first, this.middle, this.last);
  }
  render() {
    return h("div", null, "Hello, World! I'm GVC ", this.getText());
  }
};
GvcComponent.style = gvcComponentCss;

export { GvcComponent as gvc_component };
